glamor-hybris (0.2.0-1+git20230616160242.31c27d2.bookworm) bookworm; urgency=medium

  * Replace Drone with CircleCI

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 16 Jun 2023 19:02:42 +0300

glamor-hybris (0.2.0-1) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Added Drone CI configuration
  * Switch to a non-native build

  [ luka177 ]
  * Fix compilation

  [ Alexander Zapryagaev ]
  * Much better glamor X11 performance.

  [ NeKit ]
  * Extract glamor from rockchip-linux/xserver tree to build as separate module
  * Import glamor_egl and make it compilable without GBM
  * Initial DRIHYBRIS extension support
  * Packaging build-depends and rules fixes
  * AC_USE_SYSTEM_EXTENSIONS in configure.ac
  * AC_USE_SYSTEM_EXTENSIONS in configure.ac
  * Change glFinish() back to glFlush() in glamor_block_handler
  * Change glFinish() back to glFlush() in glamor_block_handler
  * Support exporting hybris buffers for pixmaps
  * Merge branch 'master' into bionic
  * Update Debian changelog: bump version to 0.2.0

  [ Adam Boardman ]
  * Initial bash at packaging for gemian.
  * Switched to extra as a valid priority
  * Removing erronious dependency.

  [ Jacob Chen ]
  * glamor: egl: support multi platform egl
  * glamor: direct use gbm_bo instead of GBM_BO_IMPORT_EGL_IMAGE
  * glamor: use glBindFramebuffer(0) instead of glFinish
  * glamor: workround the lack of glyphs for firefox
  * glamor: define gbm_bo_ref,unref in xserver
  * Revert "glamor: Fix sampling outside of RGBx source/mask pictures"
  * Revert "glamor: Cut down a bunch of conditional handling for RepeatFix."
  * Revert "glamor: use glBindFramebuffer(0) instead of glFinish"
  * glamor: replace glfinsh with glBindFramebuffer
  * glamor: replace glFlush with glFinish
  * Revert "glamor: Require GL_OES_texture_border_clamp for GLES2."

  [ Mark Yao ]
  * glamor: spans: fixup wrong count on glDrawArrays
  * glamor: egl: support GLES
  * glamor: xv: use glBindFramebuffer(0) instead of glFinish
  * glamor: remove gl khr debug
  * glamor: fixup cursor display on mali400
  * Revert "glamor: Flip around conditionals in RepeatNone fixups."

  [ Randy Li ]
  * glamor: fix 8bit depth format
  * glamor: skip error EGL EXTENSIONS check

  [ Mark ]
  * glamor: fix glTexSubImage2D error
  * glamor: fix rb swap and pitcure lost
  * glamor: fix font display lost
  * glamor: fix display lost by glFinish
  * glamor: xv: fix xv video display
  * glamor: force set GLAMOR_CREATE_FBO_NO_FBO when depth is 8bit
  * glamor: xv: fix video slow with glFinish

  [ Dr.-Ing. Dieter Jurzitza ]
  * glamor: Fix missing declaration in dash vertex shader

  [ Olivier Fourdan ]
  * glamor: check max native ALU instructions
  * glamor: do not build Xv support when --disable-xv
  * glamor: fix wrong offset on composite rectangles
  * glamor: Fix pixmap offset for bitplane in glamor_copy_fbo_cpu
  * glamor: restore vfunc handlers on init failure
  * glamor: Two pass won't work on memory pixmaps

  [ Hans De Goede ]
  * glamor: Trust eglGetPlatformDisplayEXT if it exists

  [ Emil Velikov ]
  * glamor: explicitly check for GL_OES_EGL_image
  * glamor: move GL_OES_EGL_image check next to EGL_EXT_image_dma_buf_import
  * glamor: move 'dri3_capable' extension checks after eglMakeCurrent
  * glamor: don't look for non-existing EGL_KHR_platform_base

  [ Adam Jackson ]
  * glamor: Remove copy of sna's compiler.h
  * glamor/egl: Remove glapi awareness
  * glamor: Use dix-config.h not project config.h
  * mi: Drop plane argument from miHandleExposures
  * glamor: Fix up indentation
  * glamor: Fall back to software for CopyPlane if we need to
  * glamor: Use eglGetPlatformDisplay{,EXT} if we can

  [ Eric Anholt ]
  * Add build infrastructure for glamor.
  * More ephyr/glamor glue.
  * glamor: Start trying to hook up the rendering bits
  * glamor: Use a nicer struct initializer for gcops.
  * glamor: glFlush from the blockhandler so rendering happens.
  * glamor: first real attempt at rendering.
  * add fill files, merge with first real attempt at rendering.
  * ephyr: Use GLEW.
  * glamor: Fix up block/wakeup handler.
  * glamor: remove gratuitous flush.
  * glamor: Fix up DrawPixels arguments to bear some relation to reality.
  * glamor: Move to using shader objects.
  * glamor: Add getspans implementation.
  * glamor: Maybe fix up the format/type for setspans.
  * glamor: Create FBOs for pixmaps.
  * glamor: Fill out glamor_get_color_4f_from_pixel() a bit.
  * glamor: Add untested support for tile filling.
  * glamor: Free resources when destroying pixmaps.
  * glamor: Add stub Composite support.
  * glamor: Fill in 1 and 24-bit getspans.
  * glamor: Add more solid_fail_regions for software fallbacks.
  * glamor: Add trapezoids code.
  * glamor: Add 8bpp to get/setspans.
  * glamor: Add untested putimage support.
  * glamor: Add ALU support to solid, tile, and putimage.
  * glamor: Hook up miGetImage to fix some invalid accesses.
  * glamor: Move setspans to a separate file.
  * glamor: Fix memory leak in getspans.
  * glamor: Fix bad fallthrough in getspans (accessing invalid memory).
  * glamor: Give setspans the same format support as getspans.
  * glamor: add alu support to setspans.
  * glamor: Move planemask to a function in case I decide to fill it in.
  * glamor: Fix some screen_xy offsets to be the right way around.
  * glamor: Add clipping to setspans.
  * glamor: Start adding render acceleration support.
  * glamor: make the polylines complaint a little more useful.
  * glamor: Add untested PutImage XYBitmap support.
  * glamor: Add untested PutImage 1bpp XYPixmap support.
  * glamor: Accelerate PolyFillRect using glamor_fill instead of spans.
  * glamor: Add untested copyarea implementation
  * glamor: Add support for solid source pictures.
  * glamor: Fix pixmap private getter in copyarea.
  * glamor: Add prepare/finishaccess code based on UXA.
  * glamor: Fix the type for copyarea.
  * glamor: Move glamor_poly_lines to a separate file.
  * glamor: Add fallbacks for glamor_copy_area().
  * glamor: Add fallbacks for Render.
  * glamor: Use GL_MESA_pack_invert to avoid complexity in prepare_access.
  * glamor: Add glamor_prepare_access_gc() from UXA.
  * glamor: Add fallback support to glamor_set_spans().
  * glamor: Add fallback support to glamor_put_image().
  * glamor: Fix up the access flags for glamor_prepare_access().
  * glamor: Fix the row length of 1bpp prepare_access.
  * glamor: Add fallback support for glamor_get_spans().
  * glamor: Add check for EXT_bgra which we rely on.
  * glamor: All the fallbacks in the world.
  * glamor: Replace the glDrawPixels in glamor_finish_access with GLSL.
  * glamor: Use the pixmap stride in fallbacks instead of trying to guess it.
  * glamor: Fix prepare_access on 1bpp data.
  * glamor: Enable fill acceleration and flip opposite for pixmaps too.
  * glamor: Add CopyWindow implementation so it doesn't crash.
  * glamor: Add acceleration for copyarea not from the screen.
  * glamor: Pull in UXA code for dumping some composites down to copy_n_to_n.
  * glamor: Provide more information about the operands to fallback composites.
  * glamor: Split the copy path out into its own function.
  * glamor: Align stride of fallback pixmap data to 32 bits.
  * glamor: Set active texture in finishaccess drawing.
  * glamor: Restore planemask to all-on when finishing a fill.
  * glamor: Fix up and enable accelerated composite.
  * glamor: Add the glyph cache from UXA (de-camelCased).
  * glamor: Rework the Render shader setup to be easily modified, like cairo-gl.
  * glamor: Don't try to CopyArea from a Solid source picture.
  * glamor: Set active texture on glamor_copy_n_to_n setup.
  * glamor: Add support for accel of x8r8g8b8 source pictures.
  * glamor: Implement glCopyPixels based src == dest CopyArea acceleration
  * glamor: Fix screen_x/screen_y handling for compositing.
  * glamor: Fix off-by-one in CopyPixels CopyArea path.
  * glamor: Fix and enable tile fill acceleration (aka the root weave).
  * glamor: Fix up the wide/non-solid lines fallback.
  * glamor: Enable glamor_fill_spans().
  * glamor: Fix and enable glamor_get_spans().
  * glamor: Fix render source transforms.
  * glamor: Fix and enable ZPixmap PutImage acceleration.
  * glamor: Add support for a1 composite sources.
  * glamor: Fix up the fallback message for no texture present on compositing.
  * glamor: Add a little mechanism for only printing fallbacks when they happen.
  * glamor: Rework shader setup to make extending the IN types easier.
  * glamor: Add support for component alpha rendering.
  * glamor: Convert the shaders path to handling glamor_composite_rect_t.
  * glamor: Use glamor_composite_with_shader once per group of glyphs.
  * glamor: Use a VBO to accumulate multiple glyph quads at once.
  * glamor: Replace the immediate mode in glamor_fill() with glDrawArrays().
  * glamor: Fix the segfault at screen fini.
  * glamor: Reduce the noise from wide lines "fallback".
  * glamor: Add support for using EXT_framebuffer_blit to do CopyArea.
  * glamor: Touch up some code so indent doesn't get confused.
  * glamor: Apply x-indent.sh.
  * glamor: Fix some mangling of shader strings by indent.
  * glamor: Fix some indent damage of putting a ' ' after the '*' for pointers.
  * glamor: Fix up some indentation damage on header prototypes.
  * glamor: Remove compat code for building out of tree.
  * glamor: Disable the XV code for now.
  * glamor: Drop xfree86 dependencies from this dix module.
  * glamor: Disable definitions of GL extension prototypes to avoid warnings.
  * glamor: Silence warnings for non-debug builds.
  * glamor: Convert use of the old "pointer" typedef to "void *".
  * glamor: Hook the module back up to the build.
  * glamor: Remove an extra copy of RegionNil().
  * glamor: Remove more out-of-tree compat code.
  * glamor: Convert to using libepoxy.
  * glamor: Rename glamor_get/put_dispatch to glamor_get/put_context.
  * glamor: Put in a pluggable context switcher for GLX versus EGL.
  * glamor: Drop useless glEnable/glDisable(GL_TEXTURE_2D) calls.
  * glamor: Drop fixed function transformation matrix setup.
  * glamor: yInverted is a boolean value, so use the Bool type.
  * glamor: Drop a bunch of GLES2 ifdefs.
  * glamor: Add a screen argument to drop an ifdef from glamor_set_alu().
  * glamor: Pass pixmaps around to unifdef glamor_iformat_for_depth().
  * glamor: Unifdef the cache format indices.
  * glamor: Move glamor_get_tex_format_type_from_pictformat to a .c file.
  * glamor: Unifdef the picture-format-to-format-and-type functions.
  * glamor: Move shader precision stuff from build time to shader compile time.
  * glamor: Fix typo in setting v_position's attrib location.
  * glamor: Don't bother keeping references to shader stages for gradients.
  * glamor: Fix linking of the gradient shaders on GLES2.
  * glamor: Move the EGL DRI3 code to GLAMOR_HAS_GBM.
  * xephyr: Build support for rendering with glamor using a -glamor option.
  * xorg: Build a glamor_egl module.
  * xorg: Connect up the glamor XV code, xorg DDX-only for now.
  * glamor: Rename the DRI-related pixmap functions.
  * glamor: Add support for DRI3.
  * glamor: remove dead global variable.
  * glamor: Fix a spelling mistake in GLAMOR_PIXMAP_FBO_NOT_EXACT_SIZE.
  * glamor: Add a note about the state of GL_ARB_map_buffer_range.
  * glamor: Fix a mismatched glamor_get/put_context().
  * glamor: Don't forget to set GL_INVALIDATE_RANGE_BIT on GL_ARB_mbr.
  * glamor: Move glamor_emit_composite_vert() to traps, where it's used.
  * glamor: Track the next vertex offset as we go in render accel.
  * glamor: Track the next vertex offset as we go for non-AA traps.
  * glamor: Track the next vertex offset as we go for AA traps.
  * glamor: Extract the streamed vertex data code used by Render.
  * glamor: Fix requested composite VBO size.
  * glamor: Use buffer_storage
  * glamor: Drop the set of the context to NULL at the end of glamor ops.
  * glamor: Use epoxy_has_egl_extension() instead of rolling our own.
  * glamor: Move the EGL image to the normal pixmap private.
  * glamor: Do glyph private init at screeninit time, and other stuff at CSR.
  * glamor: Drop the body of the function for enabling DRI3 extensions.
  * glamor: Return the stride/size for glamor_dri3_name_from_pixmap(), too.
  * glamor: Drop duplicated lines for getting pixmap state in GetImage.
  * glamor: Fix stack overflow in glamor_solid vertex handling.
  * glamor: Drop bogus _X_UNLIKELY.
  * glamor: Fix some integer overflow errors.
  * glamor: Rename a variable to be more descriptive.
  * glamor: Rename more solid fill variables to clean up the code.
  * glamor: Fix up doxygen for glamor_fill.c.
  * glamor: Replace some goofy enum-likes with a real enum.
  * glamor: Drop stale comment.
  * glamor: Drop unused GLAMOR_ACCESS_WO.
  * glamor: Allow nested mapping of pixmaps.
  * glamor: Rely on nested mappings to handle src==dst and !prepare bugs.
  * glamor: Add missing prepares on the GC during fb fallbacks.
  * glamor: Improve the performance of PushPixels by, well, pushing pixels.
  * glamor: Improve the performance of PolyGlyphBlt.
  * glamor: Improve the performance of line fallbacks.
  * glamor: Fix ignoring the ALU during SetSpans().
  * glamor: Add an assert about an invariant the upload code relies on.
  * glamor: Don't forget to unmap our PBOs before using them to upload.
  * glamor: Apply debug labels to our shaders.
  * glamor: Fix accelerated rendering of GTK's ARGB vs xBGR composites.
  * glamor: Fix a missing set of the GL context.
  * glamor: Use lastGLContext to coordinate the context with GLX.
  * glamor: Stop unsetting the EGL context in put_context().
  * glamor: Replace glamor_get/put_context() with just glamor_make_current().
  * glamor: Explain the weird EGL_NO_CONTEXT code.
  * glamor: Do the same MakeCurrent(None) for GLX as we do for EGL.
  * glamor: Move a make_current before the first GL call entrypoint.
  * glamor: Stop disabling asserts by default.
  * glamor: Don't forget to check whether we can fall back in polysegment.
  * glamor: Don't leak a prepare_access_gc() in putimage fallbacks.
  * glamor: Split the XV code into XF86-dependent parts and generic.
  * glamor: Share code for put_image handling.
  * glamor: Fix GLES2 non-VBO temporary memory allocation.
  * glamor: Drop unnecessary glTexParameteri() in SetSpans().
  * glamor: Use MIN/MAX macros to clean up glamor_transfer.c
  * glamor: Drop unnecessary glTexParameteri() in upload of texture data.
  * glamor: Drop constant arguments to glamor_solid().
  * glamor: Remove always-true yInverted flag.
  * glamor: Drop dead get/pub sub pixmap functions.
  * glamor: Drop dead glamor_download_pixmap_to_cpu()
  * glamor: Drop dead glamor_restore_pixmap_to_texture().
  * glamor: Remove a dead prototype.
  * glamor: Drop the "are we doing a series of blits or draws" logic.
  * Merge remote-tracking branch 'origin/master' into glamor-next
  * glamor: Don't try to set up core fonts textures when we won't use them.
  * glamor: Just set the logic op to what we want at the start of all rendering.
  * glamor: Don't optimize out scissor updates in CopyArea.
  * glamor: Add a helper function for the common GL_QUADS fallback pattern.
  * glamor: Actually allow glyphs of dimension 65 to 128 in the cache.
  * glamor: Clean up some declarations in glyph rendering.
  * glamor: Skip actual FBO setup in our glyph atlas.
  * glamor: Don't try to disable attrib divisors without the extension.
  * glamor: Fix text rendering on GLES2.
  * glamor: Drop CloseScreen-time GL resource cleanup code.
  * glamor: Use the normal GL_QUADS drawing helper in the render code.
  * glamor: Use GL_EXT_map_buffer_range if present.
  * glamor: Provide a fallback path for using an index buffer to do quads.
  * glamor: Use proper Bools for some boolean values.
  * glamor: Avoid using GL_QUADS on VC4.
  * glamor: Propagate the fact that pbo_valid is never set.
  * glamor: Remove dead gl_tex flag in the fbo struct.
  * glamor: Drop the dead "PBO" field in an FBO cache struct.
  * glamor: Move doxygen for private structs into the structs.
  * glamor: Drop dead GLAMOR_FBO_DOWNLOADED flag.
  * glamor: Drop a dead flag to glamor_create_fbo_array().
  * glamor: Simplify some temp pixmap extents calculations.
  * glamor: Drop a redundant check.
  * glamor: Fix up some weird formatting in _glamor_create_fbo_array().
  * glamor: Restore the hook to glamor_composite_rectangles().
  * glamor: Drop dead glamor_es2_pixmap_read_prepare().
  * glamor: Make a bunch of single-file glamor functions static.
  * glamor: Mark a bunch of single-file data static.
  * glamor: Use ARRAY_SIZE in a couple more places for consistency.
  * glamor: Add an assert to catch the previous bug.
  * glamor: Use GL_ARB_debug_output to log GL errors.
  * glamor: Reuse the glamor_is_memory helper.
  * glamor: Drop dead glamor_is_large_picture().
  * glamor: Ask the server to always allocate our private.
  * glamor: Drop a bunch of glamor_priv == NULL checks.
  * glamor: Don't try to do rendering with unsupported formats.
  * glamor: Ignore picture formats when choosing color for core rendering.
  * glamor: Use the new upload/download interface for XV uploads.
  * glamor: Drop dead glamor_upload_bits_to_pixmap_texture() proto.
  * glamor: Move glamor_render.c pict handling to glamor_picture.c
  * glamor: Use the actual picture's format when uploading memory pixmaps.
  * glamor: Drop tracking of the last picture attached to pixmaps.
  * glamor: Drop dead drm_stride field.
  * glamor: Take transforms into account when preparing for a fallback.
  * glamor: Drop another dead function.
  * glamor: Move cache_format to glamor_fbo.c, where it's used.
  * glamor: Drop unused box translation/bounds code.
  * glamor: Don't try to free the pixmap priv if we fail to allocate FBO.
  * glamor: Avoid GL errors from mapping with size == 0.
  * glamor: Handle GL_OUT_OF_MEMORY when allocating texture images.
  * glamor: Fix crashes when the glyph atlas allocation fails.
  * glamor: Fix rendering when core font texture allocation fails.
  * glamor: Fix assert failures when fallback picture upload alloc fails.
  * glamor: Fix segfault in fallback picture uploading.
  * glamor: No need to glFlush before destroying a pixmap.
  * glamor: Remove glamor_egl_destroy_textured_pixmap().
  * glamor: Unexport glamor_destroy_textured_pixmap().
  * glamor: Hook up EGL DestroyPixmap through the normal wrap chain.
  * glamor: Use the GBM function for getting an FD from a GBM BO.
  * glamor: Use real types for glamor_egl's public gbm functions.
  * glamor: Simplify DRI3 pixmap-from-fd, using GBM.
  * glamor: Make glamor_get_name_from_bo static.
  * glamor: Delay making pixmaps shareable until we need to.
  * glamor: Fix copy-like Render operations between 15 and 16 depth.
  * glamor: Drop the composite_with_copy path entirely.
  * glamor: Drop duplicated GLAMOR_DEFAULT_PRECISIONs in render accel.
  * glamor: Label programs before linking them.
  * glamor: Clarify when Render fallbacks happen due to an unsupported op.
  * glamor: Drop dead *_from_x_coord_y() functions.
  * glamor: Rename the *y_inverted helpers to not say "inverted".
  * glamor: Drop comment about dead yInverted flag.
  * glamor: Drop dead glamor_pict_format_is_compatible().
  * glamor: Set up XV sampler uniforms once at program build time.
  * glamor: Simplify XV vertex setup.
  * glamor: Convert XV to using glamor_program.c.
  * glamor: Drop extra SHADER_IN type for no mask present.
  * glamor: Reuse the glamor_program_alpha_* enums for Render.
  * glamor: Simplify the pixmap box looping.
  * glamor: Clarify some logic in RepeatFix handling.
  * glamor: Clean up formatting of RepeatFix shader code.
  * glamor: Clarify how the repeat values being passed around work.
  * glamor: Cut down a bunch of conditional handling for RepeatFix.
  * glamor: Flip around conditionals in RepeatNone fixups.
  * glamor: Simplify temporary picture uploading call stack.
  * glamor: Make sure that GLAMOR_MEMORY pixmaps don't retain an FBO.
  * glamor: Drop dead fbo handling from GLAMOR_MEMORY pict uploads.
  * glamor: Propagate that is_upload is always true.
  * glamor: Merge the two GL-type-from-pictformat paths.
  * glamor: Drop the GLES2 REVERT_UPLOADING_2_10_10_10 paths.
  * glamor: Drop the REVERT_UPLOADING_1_5_5_5 path.
  * glamor: Generalize the a1-to-a8 conversion path.
  * glamor: Drop unused PBO code in temporary picture uploading.
  * glamor: Drop dead large-pixmap handling code in temp picture uploads.
  * glamor: Replace "finish access" shader with texture swizzling.
  * glamor: Remove the FBO cache.
  * glamor: Fix some awful formatting of some fallback debug code.
  * glamor: Require that pixmap depths match for Render copies.
  * glamor: Properly handle mask formats without alpha.
  * glamor: Require GL_OES_texture_border_clamp for GLES2.
  * glamor: Remove many unused glamor util functions.
  * glamor: Remove #if 0-ed picture dumping code.
  * glamor: Fix link failure on GLES2.

  [ Mark Kettenis ]
  * glamor: Make glamor_sync_init work with --disable-xshmfence

  [ Matthieu Herrb ]
  * glamor: Make glamor_name_from_pixmap work without DRI3

  [ Eric Engestrom ]
  * glamor: fix spelling mistakes

  [ Hans de Goede ]
  * glamor_egl: Properly free resources on init-error and exit
  * glamor: Fix XvPutImage when src_y != 0
  * glamor: Add glamor_shareable_fd_from_pixmap()
  * glamor: Fix crash when master gpu is using glamor and another gpu is hotplugged

  [ Michel Dänzer ]
  * Stream vertex data to VBOs.
  * Print space between name of missing EGL extension and 'required'.
  * Prefer KHR_surfaceless_context EGL extension over KHR_surfaceless_opengl/gles2.
  * Don't use glBlitFramebufferEXT for overlapping copies.
  * glamoregl: Use xf86ScreenToScrn()
  * Fix RegionContainsRect test for PutImage
  * Reset traps_count and ptrap when necessary for the next trapezoid cliprect
  * glamor: Move up glamor_priv->flags assignment in glamor_init()
  * glamor: Add remaining header files to SOURCES
  * glamor: Fix memory leak in _glamor_copy_n_to_n()
  * Revert "glamor: Fix coordinates handling for composite source/mask pictures"
  * glamor: Add glamor_copy_fbo_cpu() for CopyArea to non-GPU destination
  * glamor: Don't call glamor_copy_fbo_cpu() for GLAMOR_DRM_ONLY pixmaps
  * glamor: Call glamor_glyphs_init from glamor_create_screen_resources
  * glamor: Move 'glyph caches realized' check to glamor_realize_glyph_caches
  * glamor: Track glyph caching information per screen
  * glamor: Make glyph mask cache per-screen
  * glamor: Fix leak of converted_bits in _glamor_upload_bits_to_pixmap_texture
  * glamor: Use GL_STREAM_READ also for read/write access to a PBO
  * glamor: Reinstate glamor_(egl_)destroy_textured_pixmap
  * glamor: Fix use-after-free in glamor_destroy_textured_pixmap
  * glamor: Make glamor_set_pixmap_private not crash if the pixmap has no fbo
  * glamor: Make glamor_destroy_textured_pixmap idempotent
  * glamor: Make sure glamor_egl_close_screen wraps glamor_close_screen
  * glamor: Call glamor_pixmap_destroy_fbo from glamor_set_pixmap_private
  * glamor: Make glamor_purge_fbo static
  * glamor: Make sure Xvideo source image data is properly aligned
  * Instead of one glTexSubImage2D call for each glyph.
  * glamor: Use glamor_prepare_access_box() for PutImage/GetImage fallback
  * glamor: Make our EGL context current before calling into GL in glamor_init
  * glamor: Disable debugging messages other than GL API errors
  * glamor: Factor out glamor_set_color_depth from glamor_set_color
  * glamor: Source pictures are always depth 32
  * glamor: Make context current in glamor_pixmap_fbo_cache_put
  * glamor: Fix sampling outside of RGBx source/mask pictures
  * glamor: Check for composite operations which are equivalent to copies
  * glamor: Cannot use copies when accessing outside of composite source
  * glamor: Call eglBindAPI after eglInitialize
  * glamor: Translate solid text background region after clipping
  * glamor: Handle bitplane in glamor_copy_fbo_cpu
  * glamor: Declare "pos" in the composite glyph GLSL 1.20 vertex shader

  [ Keith Packard ]
  * glamor: Get testing code using small FBOs working again
  * glamor: Add bounding box to one-fbo pixmaps
  * glamor: Add helper functions to walk pixmap tiling
  * glamor: Add infrastructure for generating shaders on the fly
  * glamor: Move glamor_poly_segment to separate glamor_segment.c file
  * glamor: Add glamor_program PolyPoint implementation
  * glamor: glamor_poly_point_nf cannot fail for non-DDX pixmaps
  * glamor: SetWindowPixmap is not related to RENDER
  * glamor: Initialize XV shaders from glamor_xv_init instead of glamor_init
  * glamor: Public polyLines function is glamor_poly_lines_nf
  * glamor: Remove warning message when pixmap cannot be stored in a texture
  * glamor: Bail from composite when pixmap cannot be uploaded
  * glamor: Compute supported GLSL version and save in screen private
  * glamor: Use plain GLSL 1.20 features for fill code.
  * glamor: Add simple upload/download functions in glamor_transfer
  * glamor: Add glamor_program based fill/set/get spans
  * glamor: Add glamor_program based poly_fill_rect
  * glamor: Use glamor_program for glamor_glyphblt
  * glamor: Add glamor_program based poly_text and image_text
  * Merge remote-tracking branch 'krh/xwayland-for-keithp'
  * dri3: Fix dri3_open API change by adding new dri3_open_client
  * glamor: Always allocate precisely the requested pixmap size
  * glamor: Wire alpha to 1 for pictures without alpha bits
  * glamor: Add glamor_transfer based glamor_get_image and glamor_put_image
  * glamor: Fix uxa-entry point for ImageText16
  * glamor: Work around libXfont when it fails to use defaultChar
  * glamor: Publish change_window_attributes and copy_window
  * glamor: Replace fallback preparation code
  * glamor: Directly reference the private key records
  * glamor: Add glamor_program based copy acceleration
  * glamor: Use glamor_program for glamor_push_pixels
  * glamor: Use glamor_program and GL_LINES for 0-width lines
  * glamor: Add glamor_program based 0-width dashed lines
  * glamor: Add accelerated stipple support
  * glamor: Replace glamor_solid_boxes and glamor_solid with GC using code
  * glamor: Remove 'tiling' shader code
  * glamor: Remove stubbed-out glamor_stipple function
  * glamor: Fix temp picture coordinates in glamor_composite_clipped_region
  * glamor: Add support for SHM sync fences
  * glamor: sync_fence_set_triggered should use glFlush, not glFinish
  * glamor: Eliminate diagonal tearing in xv
  * Fix files including xorg-server.h by mistake
  * glamor: Free Xv put image data immediately after use
  * glamor: Change SET_PIXMAP_FBO_CURRENT from macro to static inline
  * glamor: Add macro __glamor_large in glamor_largepixmap.c
  * glamor: Don't abuse large_pixmap members for regular pixmaps
  * glamor: Handle compositing from large to small pixmaps
  * glamor: Check large pixmap users in glamor_largepixmap.c
  * glamor: Remove shader-based trapezoid implementation. Fixes Bug 76213.
  * glamor: Free converted bits in _glamor_upload_bits_to_pixmap_texture fast path
  * glamor: Don't insert fbos from external objects into fbo cache
  * Merge remote-tracking branch 'whot/for-keith'
  * glamor: Always destroy EGL image associated with destroyed pixmap
  * glamor: Remove redundant reference to screen pixmap EGL image
  * glamor: Free existing EGL image when assigning new one
  * glamor: Fix nlines in glamor_xv_put_image when src_y is odd
  * glamor: Eliminate GLAMOR_CREATE_PIXMAP_MAP and GLAMOR_MEMORY_MAP
  * glamor: Eliminate GLAMOR_USE_SCREEN and GLAMOR_USE_PICTURE_SCREEN
  * glamor: Remove _nf rendering functions
  * glamor: Remove ddx fallback check functions
  * glamor: Eliminate GLAMOR_SEPARATE_TEXTURE pixmap type
  * glamor: Eliminate GLAMOR_TEXTURE_PACK pixmap type
  * glamor: Remove remaining support for FBOs not matching pixmap size
  * glamor: Remove screen private and pixmap ptrs from pixmap private and fbo
  * glamor: Remove unused glamor_pixmap_private_atlas_t
  * glamor: Eliminate separate 'large' pixmap private structure
  * glamor: Create inline tests for small/large pixmaps
  * glamor: Eliminate GLAMOR_TEXTURE_LARGE pixmap type
  * glamor: * 1/size is faster than / size in VS
  * glamor: Pass depth to glamor_pm_is_solid and glamor_set_planemask
  * glamor: Remove destination drawable argument from glamor_set_texture
  * glamor: Compute GLSL version from GL_SHADING_LANGUAGE_VERSION (v3)
  * glamor: Adapt glamor_program API  to handle render acceleration
  * glamor: Replace CompositeGlyphs code [v2]
  * Merge remote-tracking branch 'airlied/for-keithp'
  * glamor: Fix bad rendering of glyphs after an a1 glyph upload. (v3)
  * glamor: Use vertex array objects
  * glamor: Use GL_RED instead of GL_ALPHA if we have texture_swizzle (v3)
  * glamor: Disable logic ops when doing compositing [v4]
  * glamor: glamor_make_current sooner in glamor_composite_with_shader
  * glamor: Preserve GL_RED bits in R channel when destination is GL_RED [v2]
  * glamor: Adjust for drawable x/y in composite's copy optimization
  * glamor: Use DestroyPixmap instead of FreePicture for glyph atlas pixmap
  * dix: Call screen block/wakeup handlers closest to blocking [v3]
  * dix: Switch to the libXfont2 API (v2)
  * Remove readmask from screen block/wakeup handler

  [ Dave Airlie ]
  * glamor: fix make distcheck part 1
  * glamor: add compiler.h
  * glamor_utils: fix unlikely define use
  * glamor: add initial Xv support
  * glamor: fix leak in xv code.
  * glamor: Add an accessor for the GBM device.
  * glamor: use screen blockhandler rather than dix one (v3)
  * glamor: don't do render ops with matching source/dest (v3)
  * glamor: add support for allocating linear buffers (v2)
  * glamor: egl: add function to back a pixmap with a dma-buf. (v1.1)
  * glamor: make current in prepare paths
  * glamor: fallback if font is too large for FBO size.
  * glamor: store old fonts in double width textures.
  * glamor: use vbos in gradient/picture code.
  * glamor/xv: add vbo support (v2.1)
  * glamor: Add support for CA rendering in a single pass.
  * glamor: don't do copy if we have 0 boxes to copy.
  * glamor: add core profile support. (v2)
  * glamor: add core profile support to EGL glamor. (v2)
  * glamor: swizzle RED to 0 for alpha textures
  * glamor: add glamor_finish API

  [ Alan Coopersmith ]
  * Remove duplicate assignment of repeat_type_uniform_location
  * Convert glamor & glx to new *allocarray functions
  * glamor: Get rid of an extraneous ; at the end of a C source line

  [ Jason Ekstrand ]
  * glamor: Add a new glamor_gbm_bo_from_pixmap() function.

  [ Jonathan Gray ]
  * glamor: remove const from the return type of glamor_get_drawable_location()
  * glamor: fix build when DRI3 is not defined

  [ Matt Turner ]
  * glamor: Perform texture2D() separately from swizzle.

  [ Jon TURNEY ]
  * glamor: Fix build when configured --enable-glamor --disable-xshmfence

  [ Maarten Lankhorst ]
  * fixup picture in SetWindowPixmap
  * glamor: only use (un)pack_subimage when available
  * glamor: do not check for gl errors in glamor_build_program
  * glamor: Use GL_FRAMEBUFFER instead of GL_READ_FRAMEBUFFER
  * glamor: GL_TEXTURE_MAX_LEVEL is not available on GLES2

  [ Peter Hutterer ]
  * Drop trailing whitespaces

  [ Andreas Hartmetz ]
  * glamor: Don't free memory we are going to use.

  [ Tomasz Borowik ]
  * glamor: Fix stack corruption in glamor_init

  [ Markus Wick ]
  * glamor: remove disabled code
  * glamor: don't reset the GLSL program
  * glamor: Use glsl "fract/mod" instead of "while" in gradient shaders.
  * glamor: Use epoxy_has_gl_extension() instead of rolling our own.
  * glamor: Use epoxy_gl_version() instead of rolling our own.
  * glamor: Update GL requirements to 2.1.
  * glamor: Select VBO path by ARB_mbr extension.
  * glamor: Always keep GL_ELEMENT_ARRAY_BUFFER bound to the same IB.
  * glamor: Remove unneeded unbindings.
  * glamor: Drop feature dependent optimization on startup.
  * glamor: Fix no-mipmap allocations
  * glamor: Choose max fbo size by texture + viewport size

  [ Zhigang Gong ]
  * glamor: Fixed some compiling and linking errors.
  * glamor: Fixed one conflict data type(XID) bug.
  * glamor: Call glamor_composite_rects only when enable RENDER.
  * glamor: Merged with latest xserver.
  * glamor: Fixed one segfault bug when close screen.
  * glamor:  Resolved merge conflictions with Kristian's glamor-ddx patch.
  * glamor: Add new feature which is to flip output on y axis.
  * glamor: Silent compilation warnings due to some deprecated APIs.
  * glamor: Switch to software fb for too large pixmap.
  * glamor: glamor_set_alu should enable GL_COLOR_LOGIC_OP.
  * glamor: Add fallback code path for glamor_fill.
  * glamor: Use buffer object as much as possible.
  * glamor: Don't write back read only pixmap to fbo.
  * glamor: improve glamor_finish_access.
  * glamor: Don't use glamor_pixmap_type currently.
  * glamor: Optimize glamor_finish_access.
  * glamor: Don't print those fallback messages by default.
  * glamor: Optimize composite when soure/mask is xrgb.
  * glamor: Use software fb for 1bpp pixmap.
  * glamor: Add render triangles support.
  * glamor: Silence compilation warnings.
  * glamor: For non-supported fill style fallback to fbFill.
  * glamor: Fallback to fbPolylines for diagonal poly_line.
  * glamor: Simplify fill acceleration for spans/polyfillrect by only clipping once.
  * glamor : Add dynamic texture uploading feature.
  * glamor: Concentrate and reduce some coords processing code.
  * glamor: Don't always fallback everything when change window attr.
  * glamor: Initialize pixmap private's container to correct value.
  * glamor: Fixed one bug when enable dynamic pixmap uploading.
  * glamor: Move the blend set up after the pixmap uploading.
  * glamor: Don't need to read dest if op is SRC or CLEAR.
  * glamor: Prepare/finish access once if src equal to dst.
  * glamor: Change to use system memory for write only access.
  * glamor: Reduce one extra copy in glamor_trapezoids.
  * glamor: Don't map the vbo to system memory.
  * glamor: Add one option to force create a cpu memory pixmap.
  * glamor: Reduce source pixmap's size.
  * glamor: Fix the coords calculation in glamor_fill.
  * glamor: Reduce source or mask picture size if possible.
  * glamor: Remove one extra area copy in glamor_glyph.
  * glamor: Fix one typo bug in glamor_tile.
  * glamor: silence compilation warnings.
  * glamor: convert if too large source or mask .
  * Revert "glamor: Don't need to read dest if op is SRC or CLEAR."
  * glamor: Optimize fallback case for the polylines.
  * glamor: Fixed two unintialized warnings.
  * glamor: We don't need to check format in compositing.
  * glamor: Don't need to pad the tile image if pixmap is ni texture.
  * glamor: comment out the message when creating a system memory pixmap.
  * glamor: Should return when done gl drawing.
  * glamor: Fixed a bug when computing the bounds of boxes.
  * glamor: Implement delayed solid filling.
  * glamor: Avoid 2D bitblit if possible.
  * glamor: Use small internal texture format if possible.
  * glamor: Fix one bug for Xephyr.
  * glamor: Change to use official APIs rather than ARB version function.
  * glamor-es2: Add gles2 option.
  * glamor-es2: Fix some non-es2 functions.
  * glamor-es: Use glVertexAttribPointer to replace glVertexPointer.
  * glamor_gles2: Use gl_flavor to determine which version of GL.
  * glamor-es2: Add --enable-glamor-gles2 to build system.
  * glamor: Concentrate FBO's creation to one function.
  * glamor: Remove GLEW dependency.
  * glamor: Disable ALPHA8 fbo.
  * glamor:  Unify the variable name which used to indicate no alpha.
  * glamor: Only fallbac glamor_setspan when we are using gles2.
  * glamor: Remove useless glVertexPointer related code.
  * glamor: Remove glu3 which is unnecessary.
  * glamor:  GLES2 doesn't support GL_CLAMP_TO_BORDER.
  * glamor: GLES2 doesn't support glEnable/Disable Texture 2D.
  * glamor: Add color conversion support by using new shader.
  * glamor: Convert pixmap to supported format before getspans.
  * glamor: Fix the copy of overlaped region in one pixmap.
  * glamor: Add device independent glamor to the installation package.
  * glamor: Don't need to check status when set the target.
  * glamor-dix: Make a glamor dix module.
  * glamor: Change to use the original drawable in glamor_fill.
  * glamor: Fallback to software fb when repeat is needed.
  * glamor-gles2: Add explicit precision qualifiers for gles2.
  * glamor-egl: Move EGL surfaceless related code to dix module.
  * glamor-egl: Fix direct call for glEGLImageTargetTexture2DOES.
  * glamor: Change glamor_egl_init API.
  * glamor: Move glamor_glyphs_init to create screen resources stage.
  * glamor: Improve glyphs cache mechanism.
  * glamor: Route UnrealizeGlyph to glamor_glyph_unrealize.
  * glamor: Don't direct call to any gl functions.
  * glamor: Re-arrange some macros/definitions in header files.
  * glamor-egl: Added new function to create image for a pixmap.
  * glamor-egl: Add gbm device support.
  * glamor: Correct the version check for GLES2.
  * glamor: Refine the screen pixmap initialization for Xephyr.
  * Initial version.
  * Add new version glamor_fillspans without internal fallback.
  * Add new version glamor_poly_fill_rect without internal fallback.
  * Disable glamor_tile temporary.
  * Revert "Disable glamor_tile temporary."
  * If caller is not using glamor screen, we can't register
  * Added a missed header file.
  * Override create/destroy picture to track pict format.
  * exports more rendering functions to DDX driver.
  * Can't create KHR image if the depth is uncompatible.
  * Remove the access mode from private pixmap structure.
  * Remove garbage file.
  * Call glamor_create_pixmap directly in glamor rendering path.
  * Classfy glamor pixmap to different types.
  * Fallback if the pixmap is drm only.
  * Call screen's method to create pixmap.
  * Enable texture dynamic uploading.
  * glamor-for-ddx: Exports all rendering/drawing functions.
  * Correct the logic of glamor_egl_create_textured_pixmap.
  * Export glamor_create_texture to DDX driver.
  * Make sure the devPrivate.ptr of a textured pixmap is NULL.
  * Remove useless egl functions.
  * Code cleanup.
  * Add a new API glamor_create_gc.
  * Flush gl operations when destroy an textured image.
  * Export glamor_validate_gc to DDX.
  * Remove the assertion which is not safe sometimes.
  * Fixed a bug at putImage.
  * Fixed a rendering bug at fillspans.
  * Remove useless output messages.
  * Added more drawing functions.
  * Need to check pixmap priv before touch its field.
  * Track all picture's drawable pict format.
  * get_spans: Check whether have a valid fbo before check format.
  * Reduce the double check of pixmap's private pointer.
  * Fixed a configure bug.
  * glamor-composite: Optimize the computation of composite region.
  * glamor-composite: Use glDrawElements to reduce the count of vertices.
  * Set filter to GL_NEAREST by default.
  * Consolidate the choose of internal texture format to one function.
  * glamor_getimage: Add the optimization path of getImage.
  * glamor_composite: Allocate VBO on demand.
  * Silence a compilation warning.
  * Set glamor's initial version to 0.2.0.
  * Add glFinish after glFlush.
  * Release previous textre/fb when bind a new texture to a pixmap.
  * Rearrange data structure and remove unused fileds.
  * glamor_create_picture: Fix the format matching method.
  * Add debug message for all the uploading path.
  * glamor_set_pixmap_texture/screen_pixmap: Remove useless parameters.
  * glamor_fbo: Introduce glamor fbo to manage all the fb/tex.
  * glamor-fbo-pool: Implement fbo cache mechanism.
  * glamor-fbo-pool: Enable to reuse different size fbo/texture.
  * glamor_composite: Fix one bug when we have too more vertices.
  * glamor_init: Should set gl_flavor before sub-module intialization.
  * glamor_render: Add non-Map/Unmap vertex array for GLES.
  * glamor_egl: Don't call eglDestroyImageKHR directly.
  * glamor_egl: Add support for the platform doesn't have gbm.
  * glamor_gles2: Consolidate gles2 pixmap format readable check to one function.
  * glamor-pixmap-upload: Create a uploading fbo with a texture only.
  * glamor_create_fbo: Concentrate the fbo size/depth checking.
  * glamor-fbo: Tweek the cache bucket calculation.
  * glamor-gles2: Fixup the pixmap before read back if it is not readable.
  * Refine CloseScreen and FreeScreen processes.
  * Don't call dixSetPrivate directly.
  * glamor_eglmodule: Change module name according to normalize naming rule.
  * prepare_access: Don't use fbo after it was downloaded.
  * glamor_fill/tile: Fixed a tileX/tileY calculation bug.
  * glamor_dump_pixmap: Add helper routine to dump pixmap.
  * glamor_picture: Fix the wrong order of header file.
  * glamor_pixmap: Should bind unpack buffer to 0 after the uploading.
  * GLX: Enable glx support.
  * glamor_tile/composite: Modify fs to re-calculate texture coords.
  * glamor_render: Only recalculate texture for repeat case.
  * glamor_fbo: Fix a bug when create No gl FBO pixmap.
  * glamor_copyarea: Don't use GL_CLAMP_TO_BORDER when GLES2 enabled.
  * For DRI swap buffers.
  * glamor_fill: Should restore alu to GXcopy.
  * glamor_fbo: Added one macro to disable fbo cache.
  * glamor_render: Disable gradient shader conversion due to bug.
  * glamor_utils: Added debug function to dump depth 15/16 pixmap.
  * gles2: Fixed color conversion for the formats except 1555 and 2101010.
  * gles2: Added 1555/2101010 formats support.
  * glamor_putimage: Reuse the function in pixmap.c to do the uploading.
  * glamor_set_alu: Fallback for non GXcopy ops with GLES2.
  * render: Enable more componentAlpha support.
  * getimage: Enable getimage by default.
  * glamor_set_alu: Added GXclear support at glamor_solid.
  * glyphblt/polyops: Use miFunctions by default.
  * glamor_color_convert: Let the caller to provide destination buffer.
  * glamor_es2_pixmap_read_prepare: Just prepare the required region.
  * glamor_download_sub_pixmap_to_cpu: New function to download subregion.
  * fallback_optimize: Prepare for downloading/uploading subregion.
  * glamor_polyfillrect: Optimize fallback path.
  * glamor_polyfillrect: Fixed a potential bug if fallback at glamor_fill.
  * glamor_getimage: Use glamor_download_sub_pixmap_to_cpu to get image.
  * glamor_pixmap_upload_texture: Support to upload a sub region of data.
  * glamor_upload/download: fix 1bpp bug.
  * glamor_polylines: Don't fallback for non-solid fill.
  * glamor_pixmap_ensure_fbo: Should allocate tex if we don't have one.
  * glamor_gl: Use GL_ALPHA for depth 8 pixmap.
  * Don't need to set GL_PACK_ROW_LENGTH/GL_UNPACK_ROW_LENGTH.
  * glamor_pixmap_priv: Always return a valid private pixmap.
  * Fixed a unbalanced glamor_put_dispatch.
  * glamor_putimage: Reuse copy area to do the clipped copy.
  * Fixed a stride problem for textured_drm pixmap.
  * glamor_put_sub_pixmap: Change to use glamor_upload_sub_pixmap.
  * glamor_render: Don't download whole picture when fallback.
  * glamor_getspans: Reuse glamor_download_sub_pixmap.
  * code clean up.
  * glamor_setspans: Reuse glamor_upload_sub_pixmap.
  * glamor_upload_pixmap: Use glTexImage2D for a fully update.
  * pending_op: Remove the pending operations handling.
  * glamor_getimage: Don't fallback to miGetImage.
  * Fixed one potential texture size mismatch problem.
  * glamor_putimage: Optimize for direct uploading and fallback path.
  * gradient: Disable gradient for gles2.
  * Disable A8 texture format for GLES2.
  * glamor_copyarea: Don't access a DRM only pixmap.
  * gradient: Don't need fixup flag when creating pixmap.
  * glamor_render.c: Fixed repeatPad and repeatRelect.
  * Fixed a1 bug.
  * glamor_fbo: Added a threshold value for the fbo cache pool.
  * glamor_render: Have to use eaxct size pixmap for transformation.
  * glamor_copyarea: Return earlier if have zero nbox.
  * glamor_blockhandler: Don't do glFinish every time.
  * glamor_render: Fix the repeat none for GLES2.
  * Remove unecessary header file.
  * Added --enable-debug configuration option.
  * Added some copyright and author information.
  * Fixed one typo bug when fixup a mask picture.
  * Fixed an uninitialized problem at gradient shader functions.
  * Fixed all unused variables warnings.
  * We should not call gradient finalization code if we disable it.
  * Added strict warning flags to CFLAGS.
  * Remove the texture cache code.
  * glamor_set_destination_pixmap_priv_nc: set drawable's width x height.
  * glamor_largepixmap: first commit for large pixmap.
  * largepixmap: Implement infrastructure for large pixmap.
  * largepixmap: Enable glamor_composite.
  * glamor_putimage: Correct the wrong stride value.
  * glamor_getimage: should call miGetimage if failed to get sub-image.
  * largepixmap: Add transform/repeat/reflect/pad support.
  * largepixmap: Support self composite for large pixmap.
  * largepixmap: Fix the selfcopy issue.
  * Enable large pixmap by default.
  * trapezoid: Fallback to sw-rasterize for largepixmap.
  * copyarea: Cleanup the error handling logic.
  * glamor_glyphs: Before get upload to cache flush is needed.
  * glamor_emit_composite_vert: Optimize to don't do two times vert coping.
  * gles2_largepixmap: force clip for a non-large pixmap.
  * glamor_fbo: fix a memory leak for large pixmap.
  * glamor_create_pixmap: Allocate glyphs pixmap in memory.
  * glamor_render: Don't fallback when rendering glyphs with OpOver.
  * glamor_glyphs: Detect fake or real glyphs overlap.
  * glamor_composite_glyph: Optimize glyphs with non-solid pattern.
  * glamor_render: Optimize the two pass ca rendering.
  * glamor_largepixmap: Walkaround for large texture's upload.
  * glamor_render: Don't allocate buffer for vbo each time.
  * glamor_glyphs: Slightly performance tuning.
  * glamor_copyarea: Fixed a bug introduced by 996194...
  * create_pixmap: use texture for large glyphs.
  * optimize: Use likely and unlikely.
  * glamor_compositerects: Implement optimized version.
  * glamor_glyphs: Use cache picture to store mask picture if possible.
  * glamor_copyarea: Use blitcopy if current state is not render.
  * glamor_glyphs: Don't merge extents for different lists.
  * gles2: Fixed the compilation problem and some bugs.
  * Synch with xorg 1.13 change.
  * Added the missed header file for xorg 1.13 compat.
  * glamor_trapezoid: workaround a glsl like problem.
  * glamor_glyphs: When dst arg point to a NULL buffer, dont't flush.
  * glamor_largepixmap: Fixed a bug in repeat clipping.
  * Silence compilation warnings.
  * Increase vbo size to 64K verts.
  * glamor_compositerects: Need to initialize region before fallback.
  * Shoud return null subpixmap if we fail to get a valid map address.
  * Fixed an incorrect printf format.
  * Fixed some compilation warning/error or error checking.
  * glamor: Fallback to system memory when fail to allocate one big fbo.

  [ Anthony Waters ]
  * glamor: Fix coordinates handling for composite source/mask pictures

  [ Jamey Sharp ]
  * Make glamor build with --enable-debug.

  [ Kristian Høgsberg ]
  * dri3: Allow asynchronous implementation for dri3_open
  * glamor: Move glamor_egl_screen_init() prototype to glamor.h
  * glamor: Add new GLAMOR_CREATE_PIXMAP_NO_TEXTURE pixmap create flag
  * glamor: Expose glamor_destroy_pixmap()

  [ Gaetan Nadon ]
  * Fix glamor_egl->egl_create_image_khr makes pointer from integer
  * Make: remove cruft copied over from the X server makefiles
  * libglamoregl: remove -I$(top_srcdir)/src

  [ Axel Davy ]
  * Allow to create textured pixmaps from gbm_bo without using gem names
  * Add DRI3 support to glamor

  [ Fabio Pedretti ]
  * glamor: remove unused variable

  [ Brian Paul ]
  * Fix _glamor_set_spans() bug (re-used 'n' variable)
  * Remove redundant dispatch->glEnable(GL_TEXTURE_2D)
  * Remove useless return statement

  [ Grigori Goronzy ]
  * Use glDrawRangeElements instead of glDrawElements
  * Use GL_STATIC_DRAW for element index buffer
  * glamor_render: fix PictFilters

  [ Christian König ]
  * Use GBM_LIBS and GBM_CFLAGS

  [ Armin K ]
  * Silence Automake 1.13 warnings
  * Properly dist necesary headers
  * First attempt to make libglamor.so shared versioned library

  [ Junyan He ]
  * Fixup For list.h change in xorg
  * glamor_utils: Add some assistant functions to compare pixmaps/pictures.
  * Prepare for modification of gradient using shader.
  * Add the feature of generating linear gradient picture by using shader.
  * Add the feature for radial gradient using shader.
  * Fix the problem of memory leak in gradient pixmap generating.
  * Fix the bug caused by gradient picture set the stops at the same percentage.
  * Extract the gradient related code out.
  * Fix a bugy macro definition.
  * Fix the problem of set the same stop several times.
  * Fix the problem of vertical and horizontal case error in linear gradient.
  * Fix the problem of x_source and y_source causing radial error
  * Add macro of vertex setting for triangle stripe
  * Modilfy the composite logic to two phases
  * Add the trapezoid direct render logic
  * Use the direct render path for A1
  * Fix a bug for trapezoid clip
  * Change the trapezoid render to use VBO.
  * Just use the shader to generate trapezoid if PolyMode == Imprecise
  * Fix the problem of VBO leak.
  * Fallback to pixman when trapezoid mask is big.

  [ Michel D=C3=A4nzer ]
  * Fix translation of clip region for composite fallback.

  [ RobinHe ]
  * Create the file glamor_triangles.c
  * Use shader to generate the temp trapezoid mask

  [ Chris Wilson ]
  * Do not reduce a composite to a copy if we need to sample outside of the source
  * Use CLAMP_TO_BORDER in copy_n_to_n so we can sample outside of the source
  * Fixup glx support

  [ Li Peng ]
  * glamor: check driver support GEM or not

  [ Peng Li ]
  * glamor_gl_dispatch: fix the dispatch initialization on GLES2.

  [ Zhenyu Wang ]
  * glamor: Require libdrm CFLAGS for building

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 16 Sep 2021 23:24:26 +0418

